## oem-config 1.13

=== d-i/Makefile ===
unexport DH_OPTIONS

APTDIR := apt
LISTDIR := lists
SOURCEDIR := source

ifndef DEB_HOST_ARCH
DEB_HOST_ARCH := $(shell dpkg-architecture -qDEB_HOST_ARCH)
endif

PACKAGES := $(shell cat $(LISTDIR)/any)
ifneq (,$(wildcard $(LISTDIR)/$(DEB_HOST_ARCH)))
PACKAGES += $(shell cat $(LISTDIR)/$(DEB_HOST_ARCH))
endif
# We don't need to build console-setup.
PACKAGES := $(filter-out console-setup,$(PACKAGES))

update:
	./get-sources update
	./get-sources $(shell sort -u $(LISTDIR)/*)
	./update-control
ifdef UPDATE_LOCAL
	mv manifest.old manifest
else
	./update-changelog
endif

maintainer-clean:
	rm -rf $(SOURCEDIR)

build:
	set -e; for package in $(PACKAGES); do \
		if [ -d "$(SOURCEDIR)/$$package" ]; then \
			(cd "$(SOURCEDIR)/$$package" && debian/rules build); \
		fi; \
	done

clean:
	rm -rf $(APTDIR)
	for dir in $(SOURCEDIR)/*; do \
		if [ -d "$$dir" ]; then \
			(cd "$$dir" && debian/rules clean); \
		fi; \
	done
	rm -f $(SOURCEDIR)/*.deb $(SOURCEDIR)/*.udeb
	rm -f manifest.old
	rm -rf udeb-control templates

install:
	set -e; for package in $(PACKAGES); do \
		if [ -d "$(SOURCEDIR)/$$package" ]; then \
			(export NO_PKG_MANGLE=1; \
			 cd "$(SOURCEDIR)/$$package" && \
			 debian/rules binary && \
			 rm -rf debian/*/DEBIAN); \
		fi; \
	done
	rm -rf udeb-control templates
	mkdir -p udeb-control
	set -e; for udeb in $(SOURCEDIR)/*.udeb; do \
		if [ -f "$$udeb" ]; then \
			name="$$(basename "$$udeb" .udeb)"; \
			dpkg-deb -e "$$udeb" "udeb-control/$$name"; \
			if [ -f "udeb-control/$$name/templates" ]; then \
				sed -n '/./,$$p' "udeb-control/$$name/templates" | \
					grep -iv '^indices.*:' >> templates; \
				if [ "$$(tail -n1 templates)" ]; then \
					echo >> templates; \
				fi; \
			fi; \
		fi; \
	done

.PHONY: update build clean install

=== d-i/source/console-setup/debian/changelog ===
console-setup (1.13ubuntu9) feisty; urgency=low

  * Keyboard/kbdcompiler: Fix keymap reduction not to try to express keymap
    A in terms of keymap B when B includes keys not mapped by A, fixing a
    number of incorrectly-reduced keymaps (LP: #74375).
  * Keyboard/kbdcompiler: Update handling of jp to match
    debian/config.proto.
  * Keyboard/keymaptree.use: Remove jp; we cannot detect it correctly
    without further intelligence, as it's designed for jp106 keyboard
    models.

 -- Colin Watson <cjwatson@ubuntu.com>  Sat, 17 Mar 2007 10:06:05 +0000

console-setup (1.13ubuntu8) feisty; urgency=low

  * Fix handling of commas in layout and variant names.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  9 Mar 2007 20:05:00 +0000

console-setup (1.13ubuntu7) feisty; urgency=low

  * Add lt to list of non-Latin keymaps (LP: #38931).
  * Map Caps Lock to Shift Lock for Turkish layouts.
  * Build keymap tree from MyKeyboardNames.pl rather than KeyboardNames.pl.
  * Add fr:oss to keymap tree.
  * Set default variant for French to oss (LP: #89835).
  * Remove Keyboard/*.tree on clean.
  * Fix six files in debian/ that were supposed to be symlinks.
  * Move console-setup-udeb's post-base-installer script to be a
    base-installer script instead, so that console-setup will be configured
    properly along with the initramfs during debootstrap.
  * Set Maintainer to me.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  6 Mar 2007 12:09:57 +0000

console-setup (1.13ubuntu6) feisty; urgency=low

  * Set keymap and font in the initramfs if possible. Setting these as early
    as possible is a good thing; we can't set up the font correctly once
    usplash is running; and setting up the font between usplash and X
    requires an ugly mode switch.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 22 Jan 2007 14:21:24 +0000

console-setup (1.13ubuntu5) feisty; urgency=low

  * Add a --save-only option to setupcon, to save the keyboard/font on the
    root filesystem but not actually tell the kernel to set it up.
  * Back out part of setup-console-under-usplash changes: attempts to change
    the font must be guarded against being run while on an X display or
    while usplash is running, because some kernel console drivers (at least
    vgacon) are fundamentally unable to change the font only on some virtual
    consoles, and will corrupt video memory if you try (LP: #73955). We now
    use setupcon --save-only to make sure the font is available on the root
    filesystem for the next boot but don't load it immediately.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 15 Jan 2007 20:08:33 +0000

console-setup (1.13ubuntu4) feisty; urgency=low

  * Include ro(std) in keymap tree, after talking with Eddy Petrişor.
  * Disable workaround in ckbcomp for the kernel not applying Caps Lock to
    non-ASCII letters; the cure is worse than the disease because it makes
    Caps Lock equivalent to Shift Lock (LP: #69725).
  * Install MyKeyboardNames.pl (built from /usr/share/X11/xkb) rather than
    KeyboardNames.pl (built from the out-of-date copy in Keyboard/ckb) as
    /usr/share/console-setup/KeyboardNames.pl (LP: #71864).

 -- Colin Watson <cjwatson@ubuntu.com>  Fri,  5 Jan 2007 14:15:04 +0000

console-setup (1.13ubuntu3) feisty; urgency=low

  * Remove ch(fr) from keymap tree again; it's not distinguishable from ch
    without checking shift key state, which keymapper currently doesn't do.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 29 Nov 2006 11:28:48 +0000

console-setup (1.13ubuntu2) feisty; urgency=low

  * Make Keyboard/keymaptree executable again.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 28 Nov 2006 20:09:22 +0000

console-setup (1.13ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Use keymapper to generate decision trees for a restricted subset of
      the pc105 model.
    - If the detect-keyboard debconf plugin is available
      (cdebconf-newt-detect-keys in the installer), then offer to use it to
      detect the keyboard layout.
    - Ship KeyboardNames.pl and kbdnames-maker in /usr/share/console-setup.
    - Only default to Canadian layout for fr_CA; use U.S. English for other
      *_CA locales.
    - Fix default layout for Bosnian and default variant for Hindi.
    - Set default charmap for d-i to UTF-8.
    - Remove unhelpful defaults for several questions.
    - Adjust the default keyboard model for Brazilian and Japanese layouts.
    - Allow preseeding of console-setup/modelcode, console-setup/layoutcode,
      console-setup/variantcode, console-setup/optionscode, and
      console-setup/fontsize.
    - Use jp(latin),jp rather than us,jp by default for Japanese.
    - Reset console-setup/toggle to the default if it's set to "No toggling"
      and you select a non-Latin layout.
    - Change the default font from Terminus to VGA where supported.
    - Skip now-unnecessary console check in init scripts.
    - Fix up font face and size on upgrading from old versions in Edgy.
    - Add a few bits of installer integration to console-setup-udeb borrowed
      from kbd-chooser.
    - console-setup Depends: perl; something in ckbcomp is causing perl to
      'use utf8' implicitly, and some of the necessary modules aren't in
      perl-base.
    - Run kbd_mode on each tty in ACTIVE_CONSOLES rather than on the current
      tty, since the current tty might belong to X and changing X's tty out
      of raw mode is a very bad idea.
  * Restore udeb generation.

  * Map fr_CH to ch(fr) (Swiss French).
  * Include ch(fr) in keymap tree.
  * Fix codeset question priority for Esperanto.
  * Remove X and usplash checks in keyboard-setup and console-setup init
    scripts, since neither are needed following the fix in console-setup
    1.7ubuntu19.
  * Allow setupcon to be run on install again, for the same reason.
  * Automatically save the font and keymap to /etc in
    /etc/init.d/console-setup if it isn't being run from init; this allows


=== d-i/source/localechooser/debian/changelog ===
localechooser (1.37ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Check whether the language has changed after asking the country
      question, and recalculate a number of things if so.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Move Portuguese above Portuguese (Brazil) in languagelist.l10n.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.
  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue,  6 Mar 2007 10:41:47 +0000

localechooser (1.37) unstable; urgency=low

  [ Christian Perrier ]
  * Fix default for shortlists from locale preseeding. Closes: #411082.
  * Change the localized name for Finnish to "Suomi". Closes: #410354

  [ Updated translations ]
  * Hebrew (he.po) by Lior Kaplan
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Wed, 21 Feb 2007 14:19:36 +0100

localechooser (1.36) unstable; urgency=low

  * Parameter for hands-off installs has been changed to auto-install/enable
    for consistency with rescue.

 -- Frans Pop <fjp@debian.org>  Fri,  2 Feb 2007 17:07:14 +0100

localechooser (1.35) unstable; urgency=low

  [ Christian Perrier ]
  * Change localized name for Belarusian on request of translators.
  * Disable the installation of localization-config as it is not ready for
    production use.

  [ Updated translations ]
  * Italian (it.po) by Stefano Canepa
  * Romanian (ro.po) by Eddy Petrișor

 -- Frans Pop <fjp@debian.org>  Wed, 31 Jan 2007 11:44:21 +0100

localechooser (1.34) unstable; urgency=low

  * Add country names in English to the shortlists to ensure we don't display
    only country codes if translations are unavailable. English country names
    go in the Choices field; the Choices-C field is used for the country
    codes. Also put the default for the shortlists in a general Default field,
    instead of setting a language-specific default. Closes: #396109.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Danish (da.po) by Claus Hindsgaul
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Galician (gl.po) by Jacobo Tarrio
  * Kurdish (ku.po) by Amed Çeko Jiyan
  * Latvian (lv.po) by Aigars Mahinovs
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by Felipe Augusto van de Wiel (faw)
  * Portuguese (pt.po) by Miguel Figueiredo
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Turkish (tr.po) by Recai Oktaş

 -- Frans Pop <fjp@debian.org>  Wed, 24 Jan 2007 02:17:05 +0100

localechooser (1.33ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Check whether the language has changed after asking the country
      question, and recalculate a number of things if so.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Move Portuguese above Portuguese (Brazil) in languagelist.l10n.
    - Add encoding field to languagelist file and use the full SUPPORTED
      file rather than SUPPORTED-short.
    - If the language question was already marked as seen and the answer
      didn't change, then don't recalculate the locale.

 -- Colin Watson <cjwatson@ubuntu.com>  Fri, 15 Dec 2006 10:34:14 +0000

localechooser (1.33) unstable; urgency=low

  * Switch default font used in graphical installer based on selected
    language.

  [ Updated translations ]
  * Belarusian (be.po) by Pavel Piatruk

 -- Frans Pop <fjp@debian.org>  Mon, 11 Dec 2006 23:40:46 +0100

localechooser (1.32) unstable; urgency=low

  [ Colin Watson ]
  * If there's no default country for the selected language, leave the
    default for countrychooser/country-name alone.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bulgarian (bg.po) by Damyan Ivanov
  * Kurdish (ku.po) by rizoye-xerzi
  * Latvian (lv.po) by Aigars Mahinovs
  * Malayalam (ml.po) by Praveen A
  * Punjabi (pa.po) by A S Alam

 -- Christian Perrier <bubulle@debian.org>  Tue,  5 Dec 2006 18:47:54 +0100

localechooser (1.31) unstable; urgency=low

  [ Christian Perrier ]
  * Re-activate Georgian after it reached 100% again
  * Activate Malayalam

  [ Colin Watson ]
  * Fix check for selected language when trying to display "no translations
    available" template.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Malayalam (ml.po) by Praveen A
  * Punjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Matej Kovacic

 -- Christian Perrier <bubulle@debian.org>  Thu, 16 Nov 2006 08:12:21 +0100

localechooser (1.30ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Add a localechooser-data package containing lists useful for packages
      that create automatic installation scripts.
    - Always support English, unless preseeded otherwise.
    - Check whether the language has changed after asking the country
      question, and recalculate a number of things if so.
    - Drop fallbacks for Norwegian Bokmål and Nynorsk.
    - Simplify use of locale-gen using the new command-line argument
      facility in Ubuntu's locales package.
    - Move Portuguese above Portuguese (Brazil) in languagelist.l10n.


=== d-i/source/tzsetup/debian/changelog ===
tzsetup (1:0.14) unstable; urgency=low

  [ Petter Reinholdtsen ]
  * Remove myself as uploader.

  [ Frans Pop ]
  * Copy timezone file from /target instead of d-i environment. Duh!

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Panjabi (pa.po) by A S Alam

 -- Frans Pop <fjp@debian.org>  Wed, 29 Nov 2006 01:41:51 +0100

tzsetup (1:0.13) unstable; urgency=low

  * Make /target/etc/localtime a copy of instead of a symlink to the timezone
    in line with what tzconfig now does (see #346342). Closes: #395524.
    I suspect this also fixes the occasional reports we've had of the clock
    being wrong after reboot. Closes: #397576, #397649.

  [ Updated translations ]
  * Bosnian (bs.po) by Safir Secerovic
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by rizoye-xerzi

 -- Frans Pop <fjp@debian.org>  Wed, 22 Nov 2006 13:16:54 +0100

tzsetup (1:0.12) unstable; urgency=low

  * Add missing debconf dependency.
  * Remove standards-version and add Lintian override for it.

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Kurdish (ku.po) by Erdal Ronahi
  * Romanian (ro.po) by Eddy Petrișor
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 16:28:31 +0200

tzsetup (1:0.11) unstable; urgency=low

  [ Colin Watson ]
  * Put debhelper in Build-Depends rather than in Build-Depends-Indep.
  * tzdata 2006l changes the description of Europe/Samara to "Moscow+01 -
    Samara, Udmurtia"; since the comma is best avoided here, update our
    description to "Moscow+01 - Samara" as Wikipedia says that Udmurtia is
    on the "Samara Time Zone". tzdata 2006l also adds Europe/Volgograd
    described as "Moscow+00 - Caspian Sea", which I've omitted since it's
    been on Moscow time since 1992.

  [ Frans Pop ]
  * Move configuration of target system forward to post-base-installer.d to
    prevent problems e.g. if tzdata is updated during pkgsel (#391529).

  [ Updated translations ]
  * Greek, Modern (1453-) (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Gujarati (gu.po) by Kartik Mistry
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Kurdish (ku.po) by Erdal Ronahi
  * Latvian (lv.po) by Aigars Mahinovs
  * Panjabi (pa.po) by A S Alam
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Vietnamese (vi.po) by Clytie Siddall
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Mon,  9 Oct 2006 00:18:05 +0200

tzsetup (1:0.10) unstable; urgency=low

  * Switch to finish-install.

  [ Updated translations ]
  * Arabic (ar.po) by Ossama M. Khayat
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Danish (da.po) by Claus Hindsgaul
  * Dzongkha (dz.po)
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Irish (ga.po) by Kevin Patrick Scannell
  * Hebrew (he.po) by Lior Kaplan
  * Hungarian (hu.po) by SZERVÑC Attila
  * Georgian (ka.po) by Aiet Kolkhi
  * Khmer (km.po) by Leang Chumsoben
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Nepali (ne.po) by Shiva Pokharel
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Russian (ru.po) by Yuri Kozlov
  * Northern Sami (se.po) by Børre Gaup
  * Slovenian (sl.po) by Jure Čuhalev
  * Tamil (ta.po) by Damodharan Rajalingam
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Vietnamese (vi.po) by Clytie Siddall

 -- Joey Hess <joeyh@debian.org>  Wed,  7 Jun 2006 22:13:27 -0400

tzsetup (1:0.9) unstable; urgency=low

  * Add isinstallable file to skip timezone setup when installing Sarge.

  [ Updated translations ]
  * Bengali (bn.po) by Baishampayan Ghose
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * Hindi (hi.po) by Nishant Sharma
  * Hungarian (hu.po) by SZERVÑC Attila
  * Khmer (km.po) by hok kakada
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov

 -- Frans Pop <fjp@debian.org>  Mon, 20 Mar 2006 18:29:16 +0100

tzsetup (1:0.8) unstable; urgency=low

  * Move dh_install arguments to debian/tzsetup-udeb.install.
  * Build binary package in binary-indep, not binary-arch.
  * Fix name of tzsetup/country/BR's Default field.

  [ Updated translations ]
  * Bulgarian (bg.po) by Ognyan Kulev
  * Catalan (ca.po) by Jordi Mallach
  * Greek, Modern (1453-) (el.po) by Konstantinos Margaritis
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Finnish (fi.po) by Tapio Lehtonen
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Indonesian (id.po) by Parlin Imanuel Toh
  * Korean (ko.po) by Sunjae park
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Malagasy (mg.po) by Jaonary Rabarisoa
  * Macedonian (mk.po) by Georgi Stanojevski
  * Dutch (nl.po) by Bart Cornelis
  * Dutch (pa_IN.po) by Amanpreet Singh Alam
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Colin Watson <cjwatson@debian.org>  Mon, 23 Jan 2006 10:27:31 +0000

tzsetup (1:0.7) unstable; urgency=low



=== d-i/source/user-setup/debian/changelog ===
user-setup (1.8ubuntu2) feisty; urgency=low

  * Set Maintainer to ubuntu-installer@lists.ubuntu.com.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Mar 2007 23:20:55 +0000

user-setup (1.8ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Adjust /etc/aliases to send root mail to the initial user.
    - Add the initial user to the adm, dip, lpadmin, and scanner groups too,
      and to the admin group if no root password is set.
    - Allow the admin group to gain root privileges using sudo.
    - Default passwd/root-login to false.
    - Refuse to apply an empty root password.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 19 Dec 2006 17:26:07 +0000

user-setup (1.8) unstable; urgency=low

  [ Joey Hess ]
  * Fix backing up after having chosen to not enable root logins, and changing
    it to enable root logins. Since the crypted password was set to a locked
    password in the first pass, the second pass failed to ask for a root
    password. Closes: #400766, #388003.

  [ Frans Pop ]
  * Add myself to uploaders.

  [ Updated translations ]
  * Bulgarian (bg.po) by Damyan Ivanov
  * Bosnian (bs.po) by Safir Secerovic
  * Catalan (ca.po) by Jordi Mallach
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Georgian (ka.po) by Aiet Kolkhi
  * Kurdish (ku.po) by Rêzan Tovjîn
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Norwegian Nynorsk (nn.po) by Håvard Korsvoll
  * Panjabi (pa.po) by A S Alam
  * Slovenian (sl.po) by Matej Kovačič
  * Swedish (sv.po) by Daniel Nylander

 -- Frans Pop <fjp@debian.org>  Thu, 30 Nov 2006 15:38:33 +0100

user-setup (1.7ubuntu1) feisty; urgency=low

  * Resynchronise with Debian. Remaining changes:
    - Adjust /etc/aliases to send root mail to the initial user.
    - Add the initial user to the adm, dip, lpadmin, and scanner groups too,
      and to the admin group if no root password is set.
    - Allow the admin group to gain root privileges using sudo.
    - Default passwd/root-login to false.
    - Refuse to apply an empty root password.

 -- Colin Watson <cjwatson@ubuntu.com>  Mon, 27 Nov 2006 19:24:48 +0000

user-setup (1.7) unstable; urgency=low

  [ Updated translations ]
  * Belarusian (be.po) by Andrei Darashenka
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Indonesian (id.po) by Arief S Fitrianto
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmål (nb.po) by Bjørn Steensrud
  * Nepali (ne.po) by Shiva Prasad Pokharel
  * Dutch (nl.po) by Bart Cornelis
  * Romanian (ro.po) by Eddy Petrișor
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Tamil (ta.po) by Damodharan Rajalingam
  * Vietnamese (vi.po) by Clytie Siddall
  * Wolof (wo.po) by Mouhamadou Mamoune Mbacke
  * Simplified Chinese (zh_CN.po) by Ming Hua

 -- Frans Pop <fjp@debian.org>  Tue, 24 Oct 2006 16:31:47 +0200

user-setup (1.6) unstable; urgency=low

  [ Colin Watson ]
  * Detect and error out on reserved usernames, i.e. those that are already
    used by some parts of the system. Unfortunately there's no particularly
    straightforward way to identify a reserved username, and the only way I
    can think of is to maintain a blacklist; so I've collated this from the
    base-passwd master files and those user and group names I found on some
    of my systems. Feel free to extend this as the need arises.

  [ Christian Perrier ]
  * Spell "username" consistently.

  [ Updated translations ]
  * Bengali (bn.po) by Mahay Alam Khan (মাহে আলম খান)
  * Catalan (ca.po) by Jordi Mallach
  * Czech (cs.po) by Miroslav Kure
  * Danish (da.po) by Claus Hindsgaul
  * German (de.po) by Jens Seidel
  * Dzongkha (dz.po) by Jurmey Rabgay
  * Greek (el.po) by quad-nrg.net
  * Esperanto (eo.po) by Serge Leblanc
  * Spanish (es.po) by Javier Fernández-Sanguino Peña
  * Estonian (et.po) by Siim Põder
  * Basque (eu.po) by Piarres Beobide
  * Finnish (fi.po) by Tapio Lehtonen
  * French (fr.po) by Christian Perrier
  * Galician (gl.po) by Jacobo Tarrio
  * Hebrew (he.po) by Lior Kaplan
  * Hindi (hi.po) by Nishant Sharma
  * Croatian (hr.po) by Josip Rodin
  * Hungarian (hu.po) by SZERVÁC Attila
  * Italian (it.po) by Giuseppe Sacco
  * Japanese (ja.po) by Kenshi Muto
  * Khmer (km.po) by Khoem Sokhem
  * Korean (ko.po) by Sunjae park
  * Kurdish (ku.po) by Erdal Ronahi
  * Lithuanian (lt.po) by Kęstutis Biliūnas
  * Latvian (lv.po) by Aigars Mahinovs
  * Macedonian (mk.po) by Georgi Stanojevski
  * Norwegian Bokmal (nb.po) by Bjørn Steensrud
  * Dutch (nl.po) by Bart Cornelis
  * Polish (pl.po) by Bartosz Fenski
  * Portuguese (Brazil) (pt_BR.po) by André Luís Lopes
  * Portuguese (pt.po) by Miguel Figueiredo
  * Romanian (ro.po) by Eddy Petrişor
  * Russian (ru.po) by Yuri Kozlov
  * Slovak (sk.po) by Peter Mann
  * Slovenian (sl.po) by Jure Čuhalev
  * Albanian (sq.po) by Elian Myftiu
  * Swedish (sv.po) by Daniel Nylander
  * Thai (th.po) by Theppitak Karoonboonyanan
  * Tagalog (tl.po) by Eric Pareja
  * Turkish (tr.po) by Recai Oktaş
  * Ukrainian (uk.po) by Eugeniy Meshcheryakov
  * Vietnamese (vi.po) by Clytie Siddall
  * Traditional Chinese (zh_TW.po) by Tetralet

 -- Frans Pop <fjp@debian.org>  Fri,  6 Oct 2006 03:17:43 +0200

user-setup (1.5) unstable; urgency=low

  [ Frans Pop ]
  * On errors in root password, return to root password dialog (and not the
    one before it).
  * As the password and password confirmation are now asked at the same
    priority, remove code in password check to support differing priorities.

  [ Joey Hess ]
  * Configure gksu to use sudo, via an alternative, if libgksu2-0 version
    1.9.8-2 is installed, and sudo is being used. Closes: #382670

  [ Updated translations ]
  * Catalan (ca.po) by Jordi Mallach
  * German (de.po) by Jens Seidel
  * Greek, Modern (1453-) (el.po) by quad-nrg.net


=== debian/changelog ===
oem-config (1.13) feisty; urgency=low

  * Display error dialogs on user-setup errors (LP: #94913).

 -- Colin Watson <cjwatson@ubuntu.com>  Thu,  5 Apr 2007 11:38:22 +0100

oem-config (1.12) feisty; urgency=low

  [ Anirudh Ramesh ]
  * Force Qt4 frontend to use Plastique instead of the default Motif style.
  * Add copyright, license and bug contact information.

  [ Colin Watson ]
  * Update other copyright notices.
  * Automatic update of included source packages: console-setup 1.13ubuntu9.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 21 Mar 2007 09:45:21 +0000

oem-config (1.11) feisty; urgency=low

  [ Anirudh Ramesh ]
  * Add missing 'import os' to oem-config.
  * Stop using xsetroot in oem-config-dm for KDE, as the KDE frontend now
    sets its own wallpaper.

  [ Colin Watson ]
  * Automatic update of included source packages: user-setup 1.8ubuntu2.

 -- Colin Watson <cjwatson@ubuntu.com>  Thu, 15 Mar 2007 11:41:01 +0000

oem-config (1.10) feisty; urgency=low

  [ Anirudh Ramesh ]
  * Make oem-config-kde depend on python-qt4, not python-kde3.

  [ Colin Watson ]
  * Don't install e-map.defs; it's not all that important and it causes a
    conflict with ubiquity-frontend-gtk.

 -- Colin Watson <cjwatson@ubuntu.com>  Wed, 14 Mar 2007 12:23:51 +0000

oem-config (1.9) feisty; urgency=low

  [ Colin Watson ]
  * Install copyright and changelog files in Architecture: all packages too.
  * Add a 'debian/rules update-local' target to allow updating d-i/source/
    without updating debian/changelog, which is sometimes convenient for
    local hacking.
  * Make OEM_CONFIG_DEBUG=1 imply DEBCONF_DEBUG='developer|filter' for ease
    of debugging.
  * Add a --debug option, equivalent to setting OEM_CONFIG_DEBUG=1.
  * Add timezone widget from ubiquity.
  * Update language, timezone, and keyboard handling code from ubiquity.
  * Move the timezone step before the keyboard step.
  * Apply language, timezone, and keyboard changes at the end of oem-config
    rather than on the fly.
  * Depend on a version of console-setup at least as new as the one in our
    source tree.
  * Track console-setup 1.13ubuntu4 changes by generating and using
    MyKeyboardNames.pl based on xkb-data, which is more up to date than
    KeyboardNames.pl.
  * Stop the user page spreading out in an ugly manner now that the pages
    are bigger. This does result in an unpleasant amount of empty space; the
    page needs a redesign to cope with this.
  * Activate the Forward button when Enter is pressed in any entry field on
    the user page.
  * Leave the UI up until we've finished applying changes; we now have to
    regenerate the initramfs (due to console-setup changes) and it takes a
    while.
  * Send SIGKILL to the window manager if it fails to exit within a second
    of receiving SIGTERM.
  * Automatic update of included source packages: console-setup 1.13ubuntu8,
    localechooser 1.37ubuntu1, tzsetup 1:0.14, user-setup 1.8ubuntu1.

  [ Anirudh Ramesh ]
  * Port KDE frontend to Qt 4.

 -- Colin Watson <cjwatson@ubuntu.com>  Tue, 13 Mar 2007 15:53:32 +0000

=== debian/control ===
Source: oem-config
Section: admin
Priority: extra
Maintainer: Colin Watson <cjwatson@ubuntu.com>
Build-Depends: apt, dash, debhelper (>= 5.0.37.2), dpkg-dev (>= 1.9), grep-dctrl, intltool-debian (>= 0.30+20040212), iso-codes (>= 0.21-1), libart-2.0-dev, libglib2.0-dev, libgtk2.0-dev, libxml-parser-perl, locales, po-debconf (>= 0.5.0), python, python-all-dev (>= 2.3.5-11), python-gtk2-dev, python-support (>= 0.3), python-xml, xkb-data (>= 0.9)
Standards-Version: 3.6.2
XS-Python-Version: current, >= 2.4

Package: oem-config
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, debconf (>= 1.4.52), oem-config-frontend-${source:Version}, xserver-xorg, localechooser-data, iso-codes, apt, locales (>= 2.3.7-1), ${console-setup-depends}, passwd, adduser
Recommends: hwdb-client
Conflicts: oem-config-keyboard, oem-config-locale, oem-config-timezone
Replaces: oem-config-keyboard, oem-config-locale, oem-config-timezone
XB-Python-Version: ${python:Versions}
Description: Perform end-user configuration after initial installation
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.

Package: oem-config-gtk
Architecture: any
Depends: ${shlibs:Depends}, ${python:Depends}, oem-config, python-gtk2, python-glade2, metacity
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${source:Version}
XB-Python-Version: ${python:Versions}
Description: GTK+ frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a GTK+ frontend to oem-config.

Package: oem-config-kde
Architecture: all
Depends: ${python:Depends}, oem-config, python-qt4, kwin
Replaces: oem-config (<< 1.0)
Provides: oem-config-frontend-${source:Version}
XB-Python-Version: ${python:Versions}
Description: KDE frontend for end-user post-install configuration
 The oem-config script re-asks a number of questions that are normally asked
 during installation, and reconfigures the system accordingly. This allows a
 vendor to install a skeleton system, clone it onto a large number of
 machines, and ship it to end users, while still allowing end users to set
 up their own username and password, language, timezone, and so on.
 .
 This is a KDE frontend to oem-config.

Package: oem-config-udeb
XC-Package-Type: udeb
Section: debian-installer
Architecture: all
Depends: cdebconf-udeb
XB-Installer-Menu-Item: 28
Description: Prepare for end-user configuration after initial installation

=== d-i/source/console-setup/debian/rules ===
#!/usr/bin/make -f

SHELL = /bin/bash

xkbdir = /usr/share/X11/xkb
export xkbdir

main_build:
	$(MAKE) xkbdir=$(xkbdir)
	cd Keyboard && $(MAKE) build-mini xkbdir=$(xkbdir)
	touch main_build

debian/console-setup.config debian/console-setup-mini.config: debian/config.proto main_build
	awk ' \
/## *PACKAGE *##/ { \
    printf "package=$(notdir $(basename $@))"; \
    next; \
} \
/## *FONTSETS *##/ { \
    printf "fontsets='\''"; \
    system("cd Fonts && ls *.psf | sed '\''s/.psf$$//'\''"); \
    printf "'\''"; \
    next; \
} \
/## *CHARMAPS *##/ { \
    printf "charmaps='\''"; \
    system("cd Keyboard && ls acm/*.acm |sed -e '\''s/^acm.//'\'' -e '\''s/.acm$$//'\''"); \
    printf "UTF-8'\''\n"; \
    next; \
} \
/## *KBDNAMES *##/ { \
    printf "kbdnames='\''"; \
    system("cd Keyboard && ./kbdnames-maker MyKeyboardNames.pl"); \
    printf "'\''"; \
    next; \
} \
{ \
   print; \
}' debian/config.proto >$@

build: main_build debian/console-setup.config debian/console-setup-mini.config

.PHONY : clean
clean:
	dh_testdir
	debconf-updatepo
	-$(MAKE) maintainer-clean
	-rm -f build main_build
	-rm -f debian/*.config
	-rm -f debian/*~
	dh_clean

.PHONY : install
install: install-main install-mini install-bdf2psf install-udeb

.PHONY : install-main
install-main: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup -k
	$(MAKE) etcdir=debian/console-setup/etc \
		prefix=debian/console-setup/usr install
	rm debian/console-setup/usr/share/consolefonts/*-Terminus*.psf.gz
	rm -rf debian/console-setup/etc/console-setup/ckb/
	install -d debian/console-setup/usr/share/doc/console-setup/examples/
	mv debian/console-setup/etc/default/console-setup \
		debian/console-setup/usr/share/doc/console-setup/examples/
	dh_installinit --no-start --name keyboard-setup -- start 06 S .
	dh_installinit --name console-setup -- start 49 S .
	install -d debian/console-setup/usr/share/initramfs-tools/hooks \
		debian/console-setup/usr/share/initramfs-tools/scripts/init-top
	install -m755 debian/console-setup.initramfs-hook \
		debian/console-setup/usr/share/initramfs-tools/hooks/console_setup
	install -m755 debian/console-setup.initramfs-top \
		debian/console-setup/usr/share/initramfs-tools/scripts/init-top/console_setup
	rm -rf `find debian/console-setup -name .cvsignore`
	rm -rf `find debian/console-setup -name .svn`

.PHONY : install-mini
install-mini: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup-mini -k
	dh_install -pconsole-setup-mini Keyboard/*.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-mini Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Uni3-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Fonts/Vietnamese-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-mini Keyboard/ckbcomp-mini usr/bin
	dh_link -pconsole-setup-mini usr/bin/ckbcomp-mini usr/bin/ckbcomp
	dh_install -pconsole-setup-mini setupcon bin
	install -d debian/console-setup-mini/etc/default/
	install -d debian/console-setup-mini/etc/console-setup/
	install -d debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/
	cp config debian/console-setup-mini/usr/share/doc/console-setup-mini/examples/console-setup
	rm -rf `find debian/console-setup-mini -name .cvsignore`
	rm -rf `find debian/console-setup-mini -name .svn`

.PHONY : install-bdf2psf
install-bdf2psf: build
	dh_testdir
	dh_testroot
	dh_clean -pbdf2psf -k
	dh_install -pbdf2psf Fonts/bdf2psf usr/bin/
	dh_install -pbdf2psf Fonts/*.equivalents Fonts/*.set \
		Fonts/fontsets usr/share/bdf2psf
	rm -rf `find debian/bdf2psf -name .cvsignore`
	rm -rf `find debian/bdf2psf -name .svn`

.PHONY : install-udeb
install-udeb: build
	dh_testdir
	dh_testroot
	dh_clean -pconsole-setup-amiga-ekmap -k
	dh_clean -pconsole-setup-ataritt-ekmap -k
	dh_clean -pconsole-setup-macintoshold-ekmap -k
	dh_clean -pconsole-setup-pc-ekmap -k
	dh_clean -pconsole-setup-sun4-ekmap -k
	dh_clean -pconsole-setup-sun5-ekmap -k
	dh_clean -pconsole-setup-fonts-udeb -k
	dh_clean -pconsole-setup-udeb -k
# console-setup-*-ekmap
	dh_install -pconsole-setup-amiga-ekmap Keyboard/amiga.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-ataritt-ekmap Keyboard/ataritt.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-macintoshold-ekmap Keyboard/macintosh_old.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-pc-ekmap Keyboard/pc105.ekmap.gz Keyboard/pc105.tree \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun4-ekmap Keyboard/sun4.ekmap.gz \
		usr/share/console-setup-mini
	dh_install -pconsole-setup-sun5-ekmap Keyboard/sun5.ekmap.gz \
		usr/share/console-setup-mini
# console-setup-fonts-udeb
	dh_install -pconsole-setup-fonts-udeb Fonts/Arabic-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Armenian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrAsia-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrKoi-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/CyrSlav-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Ethiopian-Goha16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Georgian-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Greek-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Hebrew-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lao-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat15-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat2-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat38-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Lat7-TerminusBold16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Thai-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni1-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni2-VGA16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Uni3-Fixed16.psf.gz \
		usr/share/consolefonts
	dh_install -pconsole-setup-fonts-udeb Fonts/Vietnamese-Fixed16.psf.gz \
		usr/share/consolefonts
# console-setup-udeb

=== debian/rules ===
#! /usr/bin/make -f

VERSION := $(shell dpkg-parsechangelog | awk '/^Version:/ { print $$2 }')
AC_VERSION := $(shell grep -w '^AC_INIT' configure.ac | cut -d' ' -f2 | \
			sed 's/[][,]//g')

ifneq ($(VERSION),$(AC_VERSION))
$(warning Version $(VERSION) in debian/changelog does not match $(AC_VERSION) in configure.ac!)
endif

tmp = $(CURDIR)/debian/oem-config

PYTHON := $(shell pyversions -r)

console-setup-depends := console-setup (>= $(shell cd d-i/source/console-setup && dpkg-parsechangelog | awk '/Version:/ {print $$2}'))

update:
	$(MAKE) -C d-i update

update-local:
	$(MAKE) -C d-i update UPDATE_LOCAL=1

d-i/source/console-setup/Keyboard/MyKeyboardNames.pl:
	$(MAKE) -C d-i/source/console-setup/Keyboard MyKeyboardNames.pl \
		xkbdir=/usr/share/X11/xkb

lib/keyboard_names.py: d-i/source/console-setup/Keyboard/MyKeyboardNames.pl
	d-i/make-keyboard-names $< > $@

Makefile:
	PYTHON=$(PYTHON) ./configure --prefix=/usr

build: Makefile lib/keyboard_names.py
	$(MAKE)
	$(MAKE) -C d-i build

clean:
	dh_testdir
	dh_testroot
	find -type f -name '*.pyc' -print0 | xargs -0r rm -f
	$(MAKE) -C d-i clean
	-$(MAKE) distclean
	dh_clean lib/keyboard_names.py

binary-arch: build
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -a

	# For the meantime, nearly everything automake wants to install is
	# part of the GTK frontend.
ifndef OEM_CONFIG_NO_GTK
	$(MAKE) install DESTDIR=$(CURDIR)/debian/oem-config-gtk \
		pythondir=\$${prefix}/lib/oem-config \
		pyexecdir=\$${prefix}/lib/oem-config \
		pkgpythondir=\$${prefix}/lib/oem-config/oem_config \
		pkgpyexecdir=\$${prefix}/lib/oem-config/oem_config
	rm -rf debian/oem-config-gtk/usr/share/oem-config/pixmaps
endif
	$(MAKE) -C d-i install
	dh_install -a

	# Bits of manual installation that can't be done by dh_install
	sed -e 's,/usr/share/console-setup-mini/console-setup.config,/var/lib/dpkg/info/console-setup.config,g' \
	    -e 's,^\([[:space:]]*\)update-initramfs,\1: update-initramfs,' \
		d-i/source/console-setup/debian/console-setup.postinst \
		> debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	chmod +x debian/oem-config/usr/lib/oem-config/console/console-setup.postinst
	sed -e 's,/target,,g' \
		d-i/source/tzsetup/post-base-installer.d/*tzsetup \
		> debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	chmod +x debian/oem-config/usr/lib/oem-config/timezone/post-base-installer
	for x in user-setup user-setup-ask user-setup-apply; do \
		sed -e 's,/usr/lib/user-setup,/usr/lib/oem-config/user,g' \
		    -e 's,/bin/sh,/bin/bash,g' \
			d-i/source/user-setup/$$x \
			> debian/oem-config/usr/lib/oem-config/user/$$x; \
		chmod +x debian/oem-config/usr/lib/oem-config/user/$$x; \
	done

	cp debian/lintian-override $(tmp)/usr/share/lintian/overrides/oem-config
	dh_installdebconf -a
	echo >> debian/oem-config/DEBIAN/templates
	cat d-i/templates >> debian/oem-config/DEBIAN/templates
	dh_installdocs -a
	dh_installchangelogs -a
	dh_installinit -a -n
	dh_compress -a
	dh_fixperms -a
	dh_pysupport -a /usr/lib/oem-config
	dh_python -a
	dh_installdeb -a
	dh_shlibdeps -a
	dh_gencontrol -a
	dh_md5sums -a
	dh_builddeb -a

binary-indep:
	dh_testdir
	dh_testroot
	dh_clean -k
	dh_installdirs -i
	dh_install -i
	dh_installdebconf -i
	dh_installdocs -i
	dh_installchangelogs -i
	dh_compress -i
	dh_fixperms -i
	dh_pysupport -i /usr/lib/oem-config
	dh_python -i
	dh_installdeb -i
	dh_gencontrol -i
	dh_md5sums -i
	dh_builddeb -i

binary: binary-arch binary-indep

.PHONY: build clean binary-arch binary-indep binary
